Bug 448585 - vncserver can't launch KDE
vncserver can't launch KDE
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 14:15 EDT by Carl Roth
Modified: 2013-04-30 19:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 14:27:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Roth 2008-05-27 14:15:02 EDT
Description of problem:

I migrated my system from F8 to F9 and noticed that vncserver is no longer able
to start KDE desktops using the suggested default script:

  unset SESSION_MANAGER
  exec /etc/X11/xinit/xinitrc

There's a 00-start-message-bus.sh script in xinit that is supposed to launch a
dbus daemon, but it doesn't seem to work for KDE.

My /etc/sysconfig/desktop settings are as follows:

  DESKTOP="KDE"
  DISPLAYMANAGER="KDE"

The system would try to start up, then eventually fail to complete with lots of
messages in the logs about failure to communicate with dbus.

If I remove the DESKTOP setting above, the system defaults to a GNOME desktop
and the VNC session works (as a GNOME desktop of course)

For KDE, I figured out a workaround as follows:

  unset SESSION_MANAGER
  exec dbus-launch /etc/X11/xinit/xinitrc

Is this the right fix for F9?  Is this something that kdm is doing that I need
to replicate for a valid VNC session?

Version-Release number of selected component (if applicable):

vnc-server-4.1.2-30.fc9.i386
xorg-x11-xinit-1.0.7-6.fc9.i386
kdebase-4.0.4-2.fc9.i386
kdebase-workspace-4.0.4-4.fc9.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adam Tkac 2008-05-28 04:58:25 EDT
Hm, dbus should be started correctly. Could you please attach log? (located in
$HOME/.vnc/<hostname>:<displaynumber>.log)
Comment 2 Carl Roth 2008-06-03 14:27:46 EDT
I was able to get it to launch successfully on a different machine; I suspect
that the failing machine in question was overloaded (not enough memory).  I was
seeing lots of dbus timeouts that aren't reproducible on machines with more
resources.

Note You need to log in before you can comment on or make changes to this bug.